PDFs

On this page:

Your Rating:
Results:
PatheticBadOKGoodOutstanding!
43 rates
The tables below list the supported environments for iOS and Android environments.


Mobile RUM Support

Android Agent

Supported EnvironmentsNameSupported Version(s)
Operating SystemAndroid2.3.3+
Frameworks  Ant-
Gradle1.8, 1.10, 1.12, 2.1
Maven3.1.1+
Crash ReportersMobile RUM does not officially support 3rd-party crash reporters. N/A

HTTP Libraries

    
HttpURLConnection/HttpsURLConnection-
HttpClient-
OkHttp2.2.0–3.6.x
ch.boye.httpclientandroidlib-
Other HTTP libraries can be added by using the agent SDK. See Customize the Android Instrumentation for more information.-

 

Android Gradle Plugin VersionMinimum Android Agent Version
0.6.33.8.2.0
0.7.30.9.23.8.3.0
0.10.00.12.0

3.9.0.0

1.1.21.1.3

4.0.3.3

1.3.01.4.04.0.7
1.5.02.2.0

4.2.0*

>= 2.3.0 (forces Build Tools 25.0.0 or higher)4.2.9

*The Android Agent Plugin versions before 4.2.9 are not compatible with Android Build Tools versions 24+ because of the Java 8 bytecode generated in class files.

iOS Agent

Supported EnvironmentsNameSupported Version(s)
Operating SystemiOS6+
ArchitectureApple 32-bit ARM, Apple 64-bit A7-
FrameworkXCode5+
7+ for Bitcode enabled 
Crash ReportersMobile RUM does not officially support 3rd-party crash reporters. N/A

Apple WatchKit Extension Environments

watchOS 1
HTTP LibrariesNSURLConnection-
NSURLSession-
Alamofire - Initialize the iOS Agent before initializing Alamofire to ensure that network requests are monitored. 
Other HTTP libraries can be added by using the agent SDK. See Customize the iOS Instrumentation for more information.-